---
title: Search Types
description: Guide on different search types.
---
import project from "../../../../project/config.json";

There are three types of search offered by {project.projectName}, separated across the search tab view. The search types differ in what input can be given, as well as the adaptively returned results.

## Terminology Search

“Terminology Search” represents the goto search feature in {project.projectName}. It works on a given term, or short sentence upon which results are retrieved from the furthermore selected terminology sources. This feature works close to the input text in order to produce accurate results. The search results can be either displayed as a table, or a hierarchy tree that helps distinguishing entites.

## Entity Linking

“Entity Linking” is conceptionally located in between “Terminology Search” and “Image Recognition”. In fact, it also works on text, but (long) fulltext that is processed as a whole. The respective results benefit from context that is inherently given through the text. Each entity that is identified in the text is linked and highlighted in the results.

## Image Recognition

“Image Recognition” works on an image file, instead of text. The image can optionally be described by a text to improve search results. In the background, it is analysed before entity linking based on the selected terminology sources is applied. The results provide a similarity ranked list for all sourced entities.